This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 927931

Summary: ICE when building hunt on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: jakub, law
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-26 13:27:14 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 245418    
Attachments:
Description Flags
preprocessed source none

Description Peter Robinson 2013-03-26 10:23:28 EDT
Created attachment 716544 [details]
preprocessed source

Complete build:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1633315

Excerpt:

armv7hl-redhat-linux-gnueabi-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -D_REENTRANT   -c -o c/array.o c/array.c
armv7hl-redhat-linux-gnueabi-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -D_REENTRANT   -c -o util.o util.c
armv7hl-redhat-linux-gnueabi-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -D_REENTRANT   -c -o net.o net.c
armv7hl-redhat-linux-gnueabi-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -D_REENTRANT   -c -o rst.o rst.c
util.c: In function 'suggest_mac':
util.c:339:1: internal compiler error: in merge_if_block, at ifcvt.c:3194
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Comment 1 Jakub Jelinek 2013-03-26 13:27:14 EDT
Tracking upstream.
Comment 2 Jakub Jelinek 2013-04-02 05:57:18 EDT
BTW, the source is clearly broken, so you'd better fix this:
unsigned char __suggest_mac[6] = {0xEA, 0x1A, 0xDE, 0xAD, 0xBE, 0x00};
unsigned char *suggest_mac(void)
{
 int i;

 for (i = 6 - 1; i >= 0; i++) {
  if (++__suggest_mac[i] != 0)
   break;
  ++__suggest_mac[i];
 }
 return __suggest_mac;
}

I bet i++ was meant to be i-- instead.